package com.xjrsoft.common.enums;

/**
 * @Author: tzx
 * @Date: 2023/5/24 16:13
 */
public enum PublishStateType {
    /*
     * 未发布菜单
     * */
    NO(0, "未发布菜单"),
    /*
     * 正在发布
     * */
    ING(1, "正在发布"),
    /*
     * 发布过已经取消
     * */
    PT(2, "发布过已经取消");

    final int code;
    final String message;

    public int getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }

    PublishStateType(final int code, final String message) {
        this.code = code;
        this.message = message;
    }
}
